MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024705Open CASCADE[OCCT] OCCT:DRAWpublic2014-03-08 23:192018-11-22 22:47
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024705: Draw Harness - add -noupdate option to vdisplay command
DescriptionFor performance reasons it is essential to suppress automatic viewer redraw calls during displaying large number of objects using multiple vdisplay calls.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024307closedapn TKOpenGl - efficient culling of large number of presentations 
parent of 0030382verifiedkgv Draw Harness, ViewerTest - command vdir doesn't work anymore 
related to 0024609assignedapl Revise consistency of immediate update mode in V3d_View 
related to 0025198closedbugmaster Draw Harness - add -noupdate option to vsetlocation command 

-  Notes
(0028188)
kgv (developer)
2014-03-09 11:18

Patch is ready for review in CR24705 branch.
(0028199)
apl (developer)
2014-03-11 15:56

Dear Bugmaster,

The branch is reviewed. Please test.
(0028233)
mkv (tester)
2014-03-12 17:07

Dear BugMaster,

Branch CR24705 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 9df8b6768710387aa6da740c7e00297e06721f6c

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 384275684 / 385695472
Total CPU difference: 48896.78999999994 / 43631.789999999986

Testing on Windows:
Total MEMORY difference: 431316048 / 430805176
Total CPU difference: 29940.84375 / 30425.75

There are not differences in images found by testdiff.

- Related Changesets
occt: master 519d35d8
Timestamp: 2014-03-09 07:17:30
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024705: Draw Harness - add -noupdate option to vdisplay command

Add option to suppress viewer redraw to the following commands:
vdisplay, vdonly, verase, vremove
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-08 23:19 kgv New Issue
2014-03-08 23:19 kgv Assigned To => san
2014-03-08 23:19 kgv Relationship added related to 0024307
2014-03-08 23:19 kgv Assigned To san => vpa
2014-03-08 23:19 kgv Status new => assigned
2014-03-09 11:18 kgv Note Added: 0028188
2014-03-09 11:18 kgv Assigned To vpa => apl
2014-03-09 11:18 kgv Status assigned => resolved
2014-03-11 15:56 apl Note Added: 0028199
2014-03-11 15:56 apl Assigned To apl => bugmaster
2014-03-11 15:56 apl Status resolved => reviewed
2014-03-11 16:35 mkv Assigned To bugmaster => mkv
2014-03-12 17:07 mkv Note Added: 0028233
2014-03-12 17:07 mkv Test case number => Not needed
2014-03-12 17:07 mkv Assigned To mkv => bugmaster
2014-03-12 17:07 mkv Status reviewed => tested
2014-03-17 11:21 bugmaster Changeset attached => occt master 519d35d8
2014-03-17 11:21 bugmaster Status tested => verified
2014-03-17 11:21 bugmaster Resolution open => fixed
2014-04-04 12:06 abv Target Version 6.7.1 => 6.8.0
2014-04-16 10:51 kgv Relationship added related to 0024609
2014-08-28 18:38 kgv Relationship added related to 0025198
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:57 user533 Status verified => closed
2018-11-22 22:47 kgv Relationship added parent of 0030382


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker